TEMPLATE = app
TARGET = animator
CONFIG -= qt
QT = 
PROJECT_DEFINES = FLTK1 \
    SAMPLE_SOLUTION \
    SAMPLE_SOLUTION_557 \
    SAMPLE_SOLUTION_P557 \
    cimg_display_type=0 \
    GLEW_STATIC
HEADERS += wind.h \
    vec.h \
    rulerwindow.h \
    rect.h \
    pointObj.h \
    point.h \
    particleSystem.h \
    particle.h \
    modelerview.h \
    modeleruiwindows.h \
    modelerui.h \
    modelerdraw.h \
    modelerapp.h \
    mat.h \
    linearcurveevaluator.h \
    indicatorwindow.h \
    imageio.h \
    gravity.h \
    graphwidget.h \
    forceField.h \
    force.h \
    floor.h \
    drag.h \
    dialog.h \
    curveevaluator.h \
    curve.h \
    crcurveevaluator.h \
    color.h \
    CImg.h \
    camera.h \
    c2icurveevaluator.h \
    bsplinecurveevaluator.h \
    beziercurveevaluator.h \
    antigravity.h \
    animatoruiwindows.h \
    antigravity.h
SOURCES += wind.cpp \
    rulerwindow.cpp \
    robotarm.cpp \
    rect.cpp \
    pointObj.cpp \
    point.cpp \
    particleSystem.cpp \
    particle.cpp \
    modelerview.cpp \
    modeleruiwindows.cxx \
    modelerui.cpp \
    modelerdraw.cpp \
    modelerapp.cpp \
    linearcurveevaluator.cpp \
    indicatorwindow.cpp \
    imageio.cpp \
    gravity.cpp \
    graphwidget.cpp \
    floor.cpp \
    drag.cpp \
    curveevaluator.cpp \
    curve.cpp \
    crcurveevaluator.cpp \
    color.cpp \
    camera.cpp \
    c2icurveevaluator.cpp \
    bsplinecurveevaluator.cpp \
    "file dialog"/Fl_Native_File_Chooser.cxx \
    "file dialog"/Fl_Native_File_Chooser_WIN32.cxx \
    "file dialog"/Fl_Native_File_Chooser_MAC.cxx \
    "file dialog"/Fl_Native_File_Chooser_FLTK.cxx \
    "file dialog"/common.cxx \
    beziercurveevaluator.cpp \
    antigravity.cpp
INCLUDEPATH += ../FLTK \
    ../FLTK/png \
    ../FLTK/zlib \
    ../FLTK/jpeg \
    "file dialog"
win32 { 
    LIBPATH += ../FLTK/lib
    LIBS = opengl32.lib \
        glu32.lib \
        -lfltk \
        -lfltkgl \
        -lfltkjpeg \
        -lfltkpng \
        -lfltkz \
        Comctl32.lib \
        wsock32.lib \
        kernel32.lib \
        user32.lib \
        gdi32.lib \
        comdlg32.lib \
        shell32.lib \
        ole32.lib \
        oleaut32.lib
    
    # set DEFINES = to get rid of UNICODE
    DEFINES = _CRT_SECURE_NO_WARNINGS \
        WIN32 \
        $$PROJECT_DEFINES
    QMAKE_CXXFLAGS = -Oi \
        -EHsc \
        -nologo \
        -Zm200
    QMAKE_CFLAGS = -nologo \
        -Zm200
}
mac { 
    CONFIG += x86
    DEFINES += $$PROJECT_DEFINES
    LIBS += -L../FLTK/lib \
        -lfltk \
        -lfltk_gl \
        -lfltk_jpeg \
        -lfltk_png \
        -lfltk_images \
        -lfltk_z \
        -framework \
        Carbon \
        -framework \
        ApplicationServices \
        -framework \
        AGL \
        -framework \
        OpenGL \
        -framework \
        AppKit
    QMAKE_MACOSX_DEPLOYMENT_TARGET = 10.5
}
linux-g++ { 
    DEFINES += __LINUX__ \
        $$PROJECT_DEFINES
    LIBS += -L../FLTK/lib \
        -lfltk_images \
        -lfltk \
        -lfltk_gl \
        -lfltk_jpeg \
        -lfltk_png \
        -lfltk_forms \
        -lfltk_z \
        -lXext \
        -ldl \
        -lX11 \
        -lm \
        -lGL \
        -lGLU \
        -L../glew \
        -lglews
}
OTHER_FILES += src/ui/debuggingWindow.fl \
    animatoruiwindows.fl
